# Server Exports

## getSkill <a href="#getskill" id="getskill"></a>

> Checking how much a player currently has skill

```lua
-- @param {skill_name: string}: Registered skill name for example 'condition'
local skill = exports["frozen_gym"]:getSkill(source, skill_name)
```

***

## addSkill <a href="#addskill" id="addskill"></a>

> Add a skill value to a player by specifying the skill name and value

```lua
-- @param {skill_name: string}: Registered skill name for example 'condition'
-- @param {value: number}: Value to add for example 10.0
exports["frozen_gym"]:addSkill(source, skill_name, value)
```

***

## removeSkill <a href="#removeskill" id="removeskill"></a>

> Remove the skill value to a player by specifying the skill name and value

```lua
-- @param {skill_name: string}: Registered skill name for example 'condition'
-- @param {value: number}: Value to remove for example 10.0
exports["frozen_gym"]:removeSkill(source, skill_name, value)
```

## Server Events <a href="#server-events" id="server-events"></a>

Below are all the useful events that you can use in other resources, be sure to read their descriptions.

***

#### frozen\_gym:runStrengthBooster <a href="#vms_gym-runstrengthbooster" id="vms_gym-runstrengthbooster"></a>

> An event for use, for example, with the steroids item. When this event is triggered, the player will have boosted point acquisition at the gym during strength exercises.

```lua
-- @param {multiplier: number}: For example: 3.0
-- @param {duration: number}: Duration in ms of strength booster - for example 360000
TriggerClientEvent('frozen_gym:runStrengthBooster', src, multiplier, duration)
```

***

#### frozen\_gym:runConditionBooster <a href="#vms_gym-runconditionbooster" id="vms_gym-runconditionbooster"></a>

> An event for use, for example, with the protein item. When this event is triggered, the player will have boosted point acquisition while running, for example, on a treadmill.

```lua
-- @param {multiplier: number}: For example: 4.0
-- @param {duration: number}: Duration in ms of condition booster - for example 360000
TriggerClientEvent('frozen_gym:runConditionBooster', src, multiplier, duration)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frozen-scripts.com/scripts/frozen-gym/exports/server-exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
